org.apache.sysds.lops

## Class RightIndex

- java.lang.Object
- - org.apache.sysds.lops.Lop
  - - org.apache.sysds.lops.RightIndex

-     public class RightIndex
      extends Lop

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.lops.Lop

      `Lop.SimpleInstType, Lop.Type, Lop.VisitStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OPCODE`

    - ### Fields inherited from class org.apache.sysds.lops.Lop

      `_beginColumn, _beginLine, _endColumn, _endLine, _filename, CP_CHILD_THREAD, CP_ROOT_THREAD_ID, DATATYPE_PREFIX, FILE_SEPARATOR, FRAME_VAR_NAME_PREFIX, INSTRUCTION_DELIMITOR, LITERAL_PREFIX, MATRIX_VAR_NAME_PREFIX, NAME_VALUE_SEPARATOR, OPERAND_DELIMITOR, PROCESS_PREFIX, SAMPLE_FRACTION, SCALAR_VAR_NAME_PREFIX, UPDATE_INPLACE_PREFIX, VALUETYPE_PREFIX, VARIABLE_NAME_PLACEHOLDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Lop rowDim, Lop colDim, Types.DataType dt, Types.ValueType vt, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
    `RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Lop rowDim, Lop colDim, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
    `RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Lop rowDim, Lop colDim, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean forleft)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggBinaryOp.SparkAggType` | `getAggType()` Method to get aggregate type if applicable.
    `String` | `getInstructions(int input_index1, int input_index2, int input_index3, int input_index4, int input_index5, int input_index6, int input_index7, int output_index)`
    `String` | `getInstructions(String input, String rowl, String rowu, String coll, String colu, String leftRowDim, String leftColDim, String output)`
    `String` | `toString()` Method to have Lops print their state.

    - ### Methods inherited from class org.apache.sysds.lops.Lop

      `addInput, addOutput, addToDag, createReachable, getBeginColumn, getBeginLine, getBroadcastInput, getDataType, getEndColumn, getEndLine, getExecType, getFilename, getID, getInputs, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getLevel, getOutputParameters, getOutputs, getPrivacyConstraint, getProducesIntermediateOutput, getReachable, getSimpleInstructionType, getType, getValueType, getVisited, isAllOutputsCP, isDataExecLocation, isVariable, prepInputOperand, prepInputOperand, prepOperand, prepOperand, prepOutputOperand, prepOutputOperand, prepOutputOperand, prepScalarInputOperand, prepScalarInputOperand, prepScalarLabel, prepScalarOperand, printErrorLocation, removeConsumer, removeOutput, replaceInput, resetVisitStatus, setAllPositions, setBeginColumn, setBeginLine, setConsumerCount, setDataType, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setPrivacyConstraint, setValueType, setVisited`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPCODE

          public static final String OPCODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RightIndex

          public RightIndex(Lop input,
                            Lop rowL,
                            Lop rowU,
                            Lop colL,
                            Lop colU,
                            Lop rowDim,
                            Lop colDim,
                            Types.DataType dt,
                            Types.ValueType vt,
                            Types.ExecType et,
                            boolean forleft)

    - #### RightIndex

          public RightIndex(Lop input,
                            Lop rowL,
                            Lop rowU,
                            Lop colL,
                            Lop colU,
                            Lop rowDim,
                            Lop colDim,
                            Types.DataType dt,
                            Types.ValueType vt,
                            Types.ExecType et)

    - #### RightIndex

          public RightIndex(Lop input,
                            Lop rowL,
                            Lop rowU,
                            Lop colL,
                            Lop colU,
                            Lop rowDim,
                            Lop colDim,
                            Types.DataType dt,
                            Types.ValueType vt,
                            AggBinaryOp.SparkAggType aggtype,
                            Types.ExecType et)

  - ### Method Detail

    - #### getAggType

          public AggBinaryOp.SparkAggType getAggType()

      Description copied from class: `Lop`
      Method to get aggregate type if applicable. This method is overridden by the Lops with aggregate types (e.g. MapMult)
      Overrides:
        `getAggType` in class `Lop`
      Returns:
        SparkAggType

    - #### getInstructions

          public String getInstructions(String input,
                                        String rowl,
                                        String rowu,
                                        String coll,
                                        String colu,
                                        String leftRowDim,
                                        String leftColDim,
                                        String output)

      Overrides:
        `getInstructions` in class `Lop`

    - #### getInstructions

          public String getInstructions(int input_index1,
                                        int input_index2,
                                        int input_index3,
                                        int input_index4,
                                        int input_index5,
                                        int input_index6,
                                        int input_index7,
                                        int output_index)

      Overrides:
        `getInstructions` in class `Lop`

    - #### toString

          public String toString()

      Description copied from class: `Lop`
      Method to have Lops print their state. This is for debugging purposes.
      Specified by:
        `toString` in class `Lop`

Copyright © 2021 The Apache Software Foundation. All rights reserved.